# Cancel a workflow run | Parsium Docs

Source: https://docs.parseium.com/api/operations/cancelworkflowrun/

# Cancel a workflow run

POST

/v1/runs/{id}/cancel

Cancels the current stage and prevents future stages. This is the only cancellation path for workflow-stage batches.

## Authorizations

 Section titled “Authorizations ”

- **[apiKeyHeader](/api/#apikeyheader)**
- **[apiKeyQuery](/api/#apikeyquery)**

## Parameters

 Section titled “
Parameters
”

### Path Parameters

 Section titled “Path Parameters ”

 id

required

 string

Run ID

## Responses

 Section titled “
Responses
”

### 200

 Section titled “200 ”

Run canceled or already terminal.

 Select media type application/json

 object

 run_id

 string

 state

 string

 jobs_canceled

 integer

### 401

 Section titled “401 ”

Missing or invalid API key.

 Select media type application/json

 object

 error

required

 string

##### Example

```
invalid request
```

 field

Field that failed validation.

 string

 detail

 string

 hint

 string

### 404

 Section titled “404 ”

Resource missing or not owned by this account.

 Select media type application/json

 object

 error

required

 string

##### Example

```
invalid request
```

 field

Field that failed validation.

 string

 detail

 string

 hint

 string
